      module math_blocks
      implicit none

      real*4 rzero, ru, ruhal, two, half, third, pi, pi2, pi4,
     $       g_min, nano, small, tiny

      integer*4 i4_min, i4_max

      parameter(rzero  = 0.0)
      parameter(ru     = 1.0)
      parameter(ruhal  = 1.5)
      parameter(two    = 2.0)
      parameter(half   = 0.5)
      parameter(third  = 1.0/3.0)
      parameter(pi     = 4.0*atan(ru))
      parameter(pi2    = 2.0*pi)
      parameter(pi4    = 4.0*pi)
      parameter(nano   = 1.0e-9)
      parameter(i4_min = -2 147 483 648)
      parameter(i4_max =  2 147 483 647)


      parameter(g_min  = 0.01)
      parameter(small  = 1.0e-6)
      parameter(tiny   = 1.0e-12)

      save
      end
