!DIR$ FIXEDFORMLINESIZE:132
      subroutine wd_plws_sur_rec()
      use math_blocks
      use rte_blocks
      use header_types
      use file_types
      implicit none

      character*32 name

      real(nword) sumT, sumR, funT, funR
      real*4 scth, scth_of_iscth, sphi, sphi_of_isphi, cfc
      integer*4 iscth, isphi
      logical*4 fail

      cfc = weight / float(nw)

      if(Collimated_Source) then
         open(unit=71,file='IT_plwc_sur_rec.asc',status='unknown')
         open(unit=72,file='IR_plwc_sur_rec.asc',status='unknown')
      else
         open(unit=71,file='IT_plwi_sur_rec.asc',status='unknown')
         open(unit=72,file='IR_plwi_sur_rec.asc',status='unknown')
      end if

      uT0D = uT0D * cfc
      uR0D = uR0D * cfc

      JT1D = JT1D * cfc
      JR1D = JR1D * cfc

      write(71,*) '#  uT =', sngl(uT0D)
      write(71,*) '#  JTx=', sngl(JT1D(1))
      write(71,*) '#  JTy=', sngl(JT1D(2))
      write(71,*) '#  JTz=', sngl(JT1D(3))

      write(72,*) '#  uR =', sngl(uR0D)
      write(72,*) '#  JRx=', sngl(JR1D(1))
      write(72,*) '#  JRy=', sngl(JR1D(2))
      write(72,*) '#  JRz=', sngl(JR1D(3))

      IT2D = IT2D * cfc / (dsphi*dscth)
      IR2D = IR2D * cfc / (dsphi*dscth)
      call fIe_2D_0D(IT2D)
      call fIe_2D_0D(IR2D)

      sumT = rzero
      sumR = rzero

      do 1, isphi=1,Nsphi
      sphi = sphi_of_isphi(isphi)
      do 1, iscth=1,Nscth
      scth = scth_of_iscth(iscth)
      funT  = IT2D(iscth,isphi)
      funR  = IR2D(iscth,isphi)
      if(isphi .eq. 1 .or. isphi .eq. Nsphi) then
         sumT = sumT + funT/2.
         sumR = sumR + funR/2.
      else
         sumT = sumT + funT
         sumR = sumR + funR
      end if
      write(71,*)  scth, sphi, sngl(funT)
      write(72,*) -scth, sphi, sngl(funR)
 1    continue

      close(unit=71)
      close(unit=72)

      sumT = sumT*dscth*dsphi
      sumR = sumR*dscth*dsphi
 
      write(*,*) '     uT =', sngl(uT0D)
      write(*,*) ' Int(IT)=', sngl(sumT)
      write(*,*) '------------------------------'
      write(*,*) '     uR =', sngl(uR0D)
      write(*,*) ' Int(IR)=', sngl(sumR)
      write(*,*) '------------------------------'

      if(Collimated_Source) then
         name='IT_plwc_sur_rec.bin'
         string%Filetype = ft(33)
      else
         name='IT_plwi_sur_rec.bin'
         string%Filetype = ft(33+nft)
      end if
      call dump_I_2D_0D(name, IT2D, fail)

      if(Collimated_Source) then
         name='IR_plwc_sur_rec.bin'
         string%Filetype = ft(34)
      else
         name='IR_plwi_sur_rec.bin'
         string%Filetype = ft(34+nft)
      end if
      call dump_I_2D_0D(name, IR2D, fail)

      return
      end
