!DIR$ FIXEDFORMLINESIZE:132
      module header_types
      use rte_blocks
      implicit none

      integer*4 job_name_length
      parameter(job_name_length=16)
      character(job_name_length) job_name

      type header
         character*32 Filetype
         character*8  SourceType, PhaseFunction, Domain, Units
         logical*4    Use_Symmetry
         integer*8    nw
         integer*4    nr
         real*4       mu_a, mu_s, mu_t, g, mu_star, ell_star
         real*4       zsmin, zsmax
         real*4       xbmin, xbmax, ybmin, ybmax, zbmin, zbmax, rhomax
         real*4       hx, hy, hz, hrho
         real*4       z0, s0x, s0y, s0z
         real*4       scth_min, scth_max, sphi_min, sphi_max, dscth, dsphi
         integer*4    lx, ly, lz, lrho, Nscth, Nsphi
         integer*4    seed1, seed2, seed3, seed4, seed5, seed6
      end type header

      type(header) string

      real*4     , allocatable, dimension(:)         ::  del
      real*4     , allocatable, dimension(:)         ::  cth, sth, cph, sph
      real*4     , allocatable, dimension(:)         ::  uct, ust, ucp, usp
      integer*4  , allocatable, dimension(:)         ::  bin

      real(nword), allocatable, dimension(:,:,:,:,:) ::  I5D

      real(nword), allocatable, dimension(:,:,:,:)   ::  J4D, I4D, IT4D, IR4D

      real(nword), allocatable, dimension(:,:,:)     ::  u3D, J3D, JT3D, JR3D, I3D, IT3D, IR3D

      real(nword), allocatable, dimension(:,:)       ::  u2D, uT2D, uR2D, J2D, JT2D, JR2D, I2D, IT2D, IR2D

      real(nword), allocatable, dimension(:)         ::  u1D, uT1D, uR1D, J1D, JT1D, JR1D, IT1D, IR1D

      real(nword), allocatable                       ::  uT0D, uR0D, JT0D, JR0D

      save
      end

