      subroutine check_ix(ix, x, flag)
      use math_blocks
      use rte_blocks
      implicit none

      integer*4, intent(in)    :: ix
      real*4,    intent(out)   :: x
      logical*4, intent(inout) :: flag

      real*4 x_of_ix

      if((ix .lt. 1) .or. (ix .gt. lx)) then
         write(*,*) 'ix0 is outside of range. Try again'
         flag = .true.
      else
         x = x_of_ix(ix)
         if(abs(x) .lt. small) x = rzero
         write(*,*) 'The corresponding phys. coordinate x0:', x
      end if

      return
      end
