      subroutine discard_unums()
      use math_blocks
      use rte_blocks
      use header_types
      implicit none

      real*4,    dimension(1:nr) :: butch5, butch6

c-------- Called only if SourceType='ISO'
c
c-------- (STR5) Cosine of polar angle of the initial direction s0
c-------- (STR6) Azimuthal angle of the initial direction s0

c-------- (STR5) Cosine of polar angle UCT: Uniform in [-1,1]
      vsl_errcode = vsrnguniform(meth5,str5,nr,butch5,-ru,ru)
      call check_vsl_error(vsl_errcode)
c-------- (STR6) Azimuthal angle PHI: Uniform in [0,2*PI]      
      vsl_errcode = vsrnguniform(meth6,str6,nr,butch6,rzero,pi2)
      call check_vsl_error(vsl_errcode)

      return
      end

